libgimpprint API Reference: stp_list struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stp_list Struct Reference

## Data Fields
int | icache
int | length
stp_list_item * | start
stp_list_item * | end
stp_list_item * | cache
stp_node_freefunc | freefunc
stp_node_copyfunc | copyfunc
stp_node_namefunc | namefunc
stp_node_namefunc | long_namefunc
stp_node_sortfunc | sortfunc
char * | name_cache
stp_list_item * | name_cache_node
char * | long_name_cache
stp_list_item * | long_name_cache_node

## Field Documentation

struct stp_list_item* stp_list::cache

| Definition at line 54 of file print-list.c. Referenced by stp_list_create(), stp_list_get_item_by_index(), stp_list_get_item_by_long_name(), and stp_list_get_item_by_name().

stp_node_copyfunc stp_list::copyfunc

| Definition at line 56 of file print-list.c. Referenced by stp_list_create(), stp_list_get_copyfunc(), and stp_list_set_copyfunc().

struct stp_list_item* stp_list::end

| Definition at line 53 of file print-list.c. Referenced by get_end_internal(), stp_list_create(), stp_list_item_create(), and stp_list_item_destroy().

stp_node_freefunc stp_list::freefunc

| Definition at line 55 of file print-list.c. Referenced by stp_list_create(), stp_list_get_freefunc(), stp_list_item_destroy(), and stp_list_set_freefunc().

int stp_list::icache

| Definition at line 50 of file print-list.c. Referenced by stp_list_create(), and stp_list_get_item_by_index().

int stp_list::length

| Definition at line 51 of file print-list.c. Referenced by stp_list_create(), stp_list_get_item_by_index(), stp_list_get_length(), stp_list_item_create(), and stp_list_item_destroy().

char* stp_list::long_name_cache

| Definition at line 62 of file print-list.c. Referenced by set_long_name_cache(), stp_list_create(), and stp_list_get_item_by_long_name().

struct stp_list_item* stp_list::long_name_cache_node

| Definition at line 63 of file print-list.c. Referenced by set_long_name_cache(), stp_list_create(), and stp_list_get_item_by_long_name().

stp_node_namefunc stp_list::long_namefunc

| Definition at line 58 of file print-list.c. Referenced by stp_list_create(), stp_list_get_item_by_long_name(), stp_list_get_item_by_long_name_internal(), stp_list_get_long_namefunc(), and stp_list_set_long_namefunc().

char* stp_list::name_cache

| Definition at line 60 of file print-list.c. Referenced by set_name_cache(), stp_list_create(), and stp_list_get_item_by_name().

struct stp_list_item* stp_list::name_cache_node

| Definition at line 61 of file print-list.c. Referenced by set_name_cache(), stp_list_create(), and stp_list_get_item_by_name().

stp_node_namefunc stp_list::namefunc

| Definition at line 57 of file print-list.c. Referenced by stp_list_create(), stp_list_get_item_by_name(), stp_list_get_item_by_name_internal(), stp_list_get_namefunc(), and stp_list_set_namefunc().

stp_node_sortfunc stp_list::sortfunc

| Definition at line 59 of file print-list.c. Referenced by stp_list_create(), stp_list_get_sortfunc(), stp_list_item_create(), and stp_list_set_sortfunc().

struct stp_list_item* stp_list::start

| Definition at line 52 of file print-list.c. Referenced by get_start_internal(), stp_list_create(), stp_list_item_create(), and stp_list_item_destroy().

The documentation for this struct was generated from the following file:

- src/main/print-list.c